package ba.unsa.etf.si.bbqms.repository;

import ba.unsa.etf.si.bbqms.domain.BranchGroup;
import ba.unsa.etf.si.bbqms.domain.Service;

import java.util.List;
import java.util.Set;

public interface BranchGroupRepository extends BaseRepository<BranchGroup, Long> {
    Set<BranchGroup> findAllByServicesContains(Service service);

    List<BranchGroup> findByTenant_Code(String tenantCode);
}
